> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/get-vault-wallets-paginated",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get vault wallets (Paginated)

> Get all vault wallets of the vault accounts in your workspace. 
A vault wallet is an asset in a vault account. 

This method allows fast traversal of all account balances.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /vault/asset_wallets
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/asset_wallets:
    get:
      tags:
        - Vaults
      summary: Get vault wallets (Paginated)
      description: >-
        Get all vault wallets of the vault accounts in your workspace. 

        A vault wallet is an asset in a vault account. 


        This method allows fast traversal of all account balances.

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
        Viewer.
      operationId: getAssetWallets
      parameters:
        - in: query
          name: totalAmountLargerThan
          description: >-
            When specified, only vault wallets with total balance greater than
            this amount are returned.
          required: false
          schema:
            type: number
        - in: query
          name: assetId
          required: false
          description: >-
            When specified, only vault wallets with the specified ID are
            returned.
          schema:
            type: string
            x-fb-entity: asset
        - in: query
          name: orderBy
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
        - in: query
          name: before
          required: false
          description: >
            Fetches the next paginated response before this element. 

            This element is a cursor and is returned at the response of the
            previous page.
          schema:
            type: string
        - in: query
          name: after
          required: false
          description: >-
            Fetches the next paginated response after this element. This element
            is a cursor and is returned at the response of the previous page.
          schema:
            type: string
        - in: query
          name: limit
          required: false
          description: |
            The maximum number of vault wallets in a single response. 

            The default is 200 and the maximum is 1000.
          schema:
            type: number
            minimum: 1
            maximum: 1000
            default: 200
      responses:
        '200':
          description: A PaginatedAssetWalletResponse object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAssetWalletResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<PaginatedAssetWalletResponse>> =
            fireblocks.vaults.getAssetWallets(vaultsApiGetAssetWalletsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<PaginatedAssetWalletResponse>>
            response =
            fireblocks.vaults().getAssetWallets(totalAmountLargerThan, assetId,
            orderBy, before, after, limit);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.get_asset_wallets(total_amount_larger_than,
            asset_id, order_by, before, after, limit);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    PaginatedAssetWalletResponse:
      type: object
      properties:
        assetWallets:
          type: array
          items:
            $ref: '#/components/schemas/AssetWallet'
        paging:
          type: object
          properties:
            before:
              description: >-
                A string representing a cursor. Users can use this with a new
                request to this API endpoint as the “before” request parameter
                to fetch the previous page of results.
              type: string
            after:
              description: >-
                A string representing a cursor. Users can use this with a new
                request to this API endpoint as the “before” request parameter
                to fetch the next page of results.
              type: string
    AssetWallet:
      type: object
      properties:
        vaultId:
          description: >-
            ID of the vault account. You can [get the vault account by this
            ID](https://developers.fireblocks.com/reference/get_vault-accounts-vaultaccountid)
            to retrieve vault properties such as its name, auto fueling, hidden
            on UI or customer reference ID.
          type: string
        assetId:
          description: >-
            ID of the asset. You can get more information about this asset by
            using the [supported assets
            API](https://developers.fireblocks.com/reference/get_supported-assets)
          type: string
        available:
          description: Available balance, available to use in a transaction.
          type: string
        total:
          description: >-
            Total balance at the asset wallet, as seen at the blockchain
            explorers. This includes balance available, and any kind of
            unavailable balance such as locked, frozen, or others.
          type: string
        pending:
          description: Pending balance.
          type: string
        staked:
          description: Staked balance.
          type: string
        frozen:
          description: >-
            Funds frozen due to the anti-money laundering policy at this
            workspace.
          type: string
        lockedAmount:
          description: Locked balance.
          type: string
        blockHeight:
          description: The height (number) of the block of the balance. Can by empty.
          type: string
        blockHash:
          description: The hash of the block of the balance. Can by empty.
          type: string
        creationTimestamp:
          description: Unix timestamp of the time the asset wallet was created.
          type: string

````